/*************************************************************************
 * This file is part of Crosroads 1.38, a load balancer and fail over
 * utility for TCP. Copyright (c) Karel Kubat, distributed under GPL.
 * Visit http://crossroads.e-tunity.com for information.
 *************************************************************************/

#include "crossroads.h"

void sysrun (char const *cmd) {
    char *expanded;
    int ret;
    
    if (!cmd || ! *cmd)
	return;

    expanded = str_expand_format (cmd);
    msg ("Service %s: running command: '%s'", activeservice->name, expanded);
    uid_assume();    
    if ( (ret = system (expanded)) )
	warning ("Service %s: command '%s' -> '%s' returned %d",
		 activeservice->name, cmd, expanded, ret);
    uid_restore();
    free (expanded);
}
